Name:           ddclient
Version:        3.6.6
Release:        2%{?dist}
Summary:        Client to update dynamic DNS host entries

Group:          System Environment/Daemons
License:        GPL
URL:            http://ddclient.sourceforge.net/
Source0:        http://download.sf.net/ddclient/%{name}-%{version}.tar.bz2
Source2:        ddclient.initscript
Source3:        ddclient.sysconfig
# Patch hardcodes cache location to /var/cache.
# This is reflected in install section below.
Patch:          ddclient.cache.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
ddclient is a Perl client used to update dynamic DNS entries for accounts
on many dynamic DNS services.


%prep
%setup -q
%patch -p1
rm sample-etc_rc.d_init.d_ddclient*
# Backwards compatibility from pre-3.6.6-1
sed -i -e 's|/etc/ddclient/|%{_sysconfdir}/|' ddclient

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -p ddclient $RPM_BUILD_ROOT%{_sbindir}
install -pm 600 sample-etc_ddclient.conf \
  $RPM_BUILD_ROOT%{_sysconfdir}/ddclient.conf
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/ddclient
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ddclient
mkdir -p $RPM_BUILD_ROOT/var/cache
touch $RPM_BUILD_ROOT/var/cache/ddclient.cache


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add ddclient
touch /var/cache/ddclient.cache
chmod 0600 /var/cache/ddclient.cache

%preun
if [ $1 -eq 0 ]; then
        /sbin/service ddclient stop > /dev/null 2>&1
        /sbin/chkconfig --del ddclient
fi

%postun
if [ $1 -ge 1 ]; then
        /sbin/service ddclient condrestart >/dev/null
fi

%files
%defattr(-,root,root,-)
%doc README* COPYING COPYRIGHT Changelog sample-*
%{_sbindir}/ddclient
%config(noreplace) %{_sysconfdir}/ddclient.conf
%config(noreplace) %{_sysconfdir}/sysconfig/ddclient
%ghost %attr(0600, root, root) /var/cache/ddclient.cache
%{_initrddir}/ddclient


%changelog
* Sat Jul 30 2005 Ville Skyttä <ville.skytta at iki.fi> - 3.6.6-1
- 3.6.6, update URLs (#165272).
- Restart service on future package upgrades (still manually needed this time).
- Don't set service to autostart on "chkconfig --add".
- Fix sysconfig/ddclient permissions.
- Drop non-useful samples.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 3.6.3-5
- rebuilt

* Mon Apr 05 2004 Toshio Kuratomi <toshio[+]tiki-lounge.com> - 0:3.6.3-0.fdr.4.fc1
- Fix %%doc %%attr ownership
- Touch the cache file in %post

* Mon Sep 08 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:3.6.3-0.fdr.3
- Add own Fedora-style initscript and /etc/sysconfig/ddclient file.
- Fix file permissions of config file and example files.
- Since ddclient.cache.patch uses hardcoded /var, don't use
  %%_localstatedir in spec file either.

* Sun Sep 07 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:3.6.3-0.fdr.2: fixed ghostness of cache file
